Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79876 - rhn_check: Error refreshing package list (code 20)
Summary: rhn_check: Error refreshing package list (code 20)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-17 18:57 UTC by Bob Gorman
Modified: 2007-11-30 22:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-27 00:26:53 UTC


Attachments (Terms of Use)

Description Bob Gorman 2002-12-17 18:57:48 UTC
Description of problem:

Trying to use rhn_check to refresh the package list at RHN for system (sid=1001662560) fails.

Version-Release number of selected component (if applicable):

RH 8.0
up2date-3.0.7-1

How reproducible:

Very

Steps to Reproduce:
1. Schedule a package list refresh at RHN
2. Run rhn_check -v on client system
3.
    
Actual results:

rhn_check reports: ERROR: refreshing remote package list for System Profile
RHN web app reports: Client execution returned code 20 (Error refreshing package list)


Expected results:

Client execution returned code 0 (rpmlist refreshed)

Help.



Additional info:

Comment 1 Adrian Likins 2003-01-15 05:12:06 UTC
This should be fixed in a hopefully soon to be released errata.
Versions of 3.0.40 or higher include a fix

Comment 2 Sean Sosik-Hamor 2003-03-27 16:09:12 UTC
I get the same error for all of the RedHat 8.0 systems I manage however I've
found a temporary workaround.  If I run up2date -p after manually installing new
RPMs it will update the package list in my RedHat Network account.


Note You need to log in before you can comment on or make changes to this bug.